package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuCombineskuQuerySkuDo struct {
	/*
	   商品唯一编码，不可修改     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   商品名称，对商品直观的描述，通常包含了品牌、规格等信息     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   主图     */
	MainPicUrls *string `json:"main_pic_urls,omitempty" `

	/*
	   门店或DC编码     */
	OuCode *string `json:"ou_code,omitempty" `

	/*
	   详情图片地址（多个图片用英文逗号分割）     */
	DetailPicUrls *string `json:"detail_pic_urls,omitempty" `

	/*
	   商品价格（单位元）     */
	SalePrice *string `json:"sale_price,omitempty" `

	/*
	   条码（支持一品多码，多个条码以英文逗号分隔）     */
	Barcodes *string `json:"barcodes,omitempty" `

	/*
	   是否app可售（1可售，0不可售，默认0）     */
	AllowAppSale *int64 `json:"allow_app_sale,omitempty" `

	/*
	   线上生效开始时间     */
	AppEffectBeginTime *util.LocalTime `json:"app_effect_begin_time,omitempty" `

	/*
	   线上生效过期时间     */
	AppEffectEndTime *util.LocalTime `json:"app_effect_end_time,omitempty" `

	/*
	   子商品信息     */
	SubSkus *[]AlibabaWdkSkuCombineskuQuerySubSkuDo `json:"sub_skus,omitempty" `

	/*
	   商家类目编码     */
	CategoryCode *string `json:"category_code,omitempty" `

	/*
	   盒马类目编码     */
	HmCategoryCode *string `json:"hm_category_code,omitempty" `

	/*
	   销售规格     */
	SaleSpec *string `json:"sale_spec,omitempty" `

	/*
	   商品价格（单位分）     */
	SalePriceUnitCent *int64 `json:"sale_price_unit_cent,omitempty" `
}

func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetSkuCode(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetSkuName(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.SkuName = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetMainPicUrls(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.MainPicUrls = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetOuCode(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.OuCode = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetDetailPicUrls(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.DetailPicUrls = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetSalePrice(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.SalePrice = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetBarcodes(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.Barcodes = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetAllowAppSale(v int64) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.AllowAppSale = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetAppEffectBeginTime(v util.LocalTime) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.AppEffectBeginTime = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetAppEffectEndTime(v util.LocalTime) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.AppEffectEndTime = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetSubSkus(v []AlibabaWdkSkuCombineskuQuerySubSkuDo) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.SubSkus = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetCategoryCode(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.CategoryCode = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetHmCategoryCode(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.HmCategoryCode = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetSaleSpec(v string) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.SaleSpec = &v
	return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuDo) SetSalePriceUnitCent(v int64) *AlibabaWdkSkuCombineskuQuerySkuDo {
	s.SalePriceUnitCent = &v
	return s
}
